package com.bonus.zlpt.home.mapper;

import com.bonus.zlpt.home.pojo.BmTopicDto;
import com.bonus.zlpt.home.pojo.BmTopicInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 专题资讯表(BmTopicInfo)表数据库访问层
 *
 * @author makejava
 * @since 2023-12-04 09:48:36
 */
public interface BmTopicInfoMapper {

    /**
     * 获取专题资讯列表
     * @param bmTopicDto
     * @return
     */
    List<BmTopicInfo> selectSpecialInfoList(BmTopicDto bmTopicDto);

    /**
     * 新增专题资讯信息
     * @param bmTopicInfo
     * @return
     */
    int insertConfig(BmTopicInfo bmTopicInfo);

    /**
     * 根据id查询资讯信息
     * @param id
     * @return
     */
    BmTopicInfo selectListById(String id);

    /**
     * 编辑专题资讯信息
     * @param bmTopicInfo
     * @return
     */
    int update(BmTopicInfo bmTopicInfo);

    /**
     * 删除专题资讯信息
     * @param id
     * @return
     */
    int deleteById(String id);

    /**
     * 增加浏览次数
     * @param id
     * @param viewNum
     */
    void updateNum(@Param("id") String id, @Param("viewNum") Integer viewNum);
}

